org.apache.ignite.internal.processors.closure

## Class GridPeerDeployAwareTaskAdapter<T,R>

- java.lang.Object
- - org.apache.ignite.compute.ComputeTaskAdapter<T,R>
  - - org.apache.ignite.internal.processors.closure.GridPeerDeployAwareTaskAdapter<T,R>

All Implemented Interfaces:
  Serializable, ComputeTask<T,R>, GridPeerDeployAware

    public abstract class GridPeerDeployAwareTaskAdapter<T,R>
    extends ComputeTaskAdapter<T,R>
    implements GridPeerDeployAware

Peer deployment aware task adapter.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `GridPeerDeployAwareTaskAdapter(@Nullable GridPeerDeployAware pda)` Constructor that receives deployment information for task.

### Method Summary

All Methods Instance Methods Concrete Methods
`ClassLoader` `classLoader()` Gets class loader for the class.
`Class<?>` `deployClass()` Gets top level user class being deployed.

### Methods inherited from class org.apache.ignite.compute.ComputeTaskAdapter

`result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.compute.ComputeTask

`map, reduce`

### Constructor Detail

#### GridPeerDeployAwareTaskAdapter

    protected GridPeerDeployAwareTaskAdapter(@Nullable
                                             @Nullable GridPeerDeployAware pda)

Constructor that receives deployment information for task.

Parameters:
  `pda` - Deployment information.

### Method Detail

#### deployClass

    public Class<?> deployClass()

Gets top level user class being deployed.

Specified by:
  `deployClass` in interface `GridPeerDeployAware`
Returns:
  Top level user deployed class.

#### classLoader

    public ClassLoader classLoader()

Gets class loader for the class. This class loader must be able to load the class returned from `GridPeerDeployAware.deployClass()` as well as all of its dependencies.

Note that in most cases the class loader returned from this method and the class loader for the class returned from `GridPeerDeployAware.deployClass()` method will be the same. If they are not the same, it is required that the class loader returned from this method still has to be able to load the deploy class and all its dependencies.

Specified by:
  `classLoader` in interface `GridPeerDeployAware`
Returns:
  Class loader for the class.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020